import HTMLContentModel from './HTMLContentModel';
import HTMLElementModel from './HTMLElementModel';
declare const defaultHTMLElementModels: {
    accesskey: HTMLElementModel<"accesskey", HTMLContentModel.none>;
    datalist: HTMLElementModel<"datalist", HTMLContentModel.none>;
    source: HTMLElementModel<"source", HTMLContentModel.none>;
    track: HTMLElementModel<"track", HTMLContentModel.none>;
    caption: HTMLElementModel<"caption", HTMLContentModel.none>;
    colgroup: HTMLElementModel<"colgroup", HTMLContentModel.none>;
    col: HTMLElementModel<"col", HTMLContentModel.none>;
    option: HTMLElementModel<"option", HTMLContentModel.none>;
    optgroup: HTMLElementModel<"optgroup", HTMLContentModel.none>;
    param: HTMLElementModel<"param", HTMLContentModel.none>;
    area: HTMLElementModel<"area", HTMLContentModel.none>;
    map: HTMLElementModel<"map", HTMLContentModel.none>;
    head: HTMLElementModel<"head", HTMLContentModel.none>;
    title: HTMLElementModel<"title", HTMLContentModel.none>;
    base: HTMLElementModel<"base", HTMLContentModel.none>;
    link: HTMLElementModel<"link", HTMLContentModel.none>;
    meta: HTMLElementModel<"meta", HTMLContentModel.none>;
    form: HTMLElementModel<"form", HTMLContentModel.none>;
    label: HTMLElementModel<"label", HTMLContentModel.none>;
    input: HTMLElementModel<"input", HTMLContentModel.none>;
    button: HTMLElementModel<"button", HTMLContentModel.none>;
    select: HTMLElementModel<"select", HTMLContentModel.none>;
    progress: HTMLElementModel<"progress", HTMLContentModel.none>;
    meter: HTMLElementModel<"meter", HTMLContentModel.none>;
    fieldset: HTMLElementModel<"fieldset", HTMLContentModel.none>;
    legend: HTMLElementModel<"legend", HTMLContentModel.none>;
    textarea: HTMLElementModel<"textarea", HTMLContentModel.none>;
    output: HTMLElementModel<"output", HTMLContentModel.none>;
    details: HTMLElementModel<"details", HTMLContentModel.none>;
    summary: HTMLElementModel<"summary", HTMLContentModel.none>;
    dialog: HTMLElementModel<"dialog", HTMLContentModel.none>;
    body: HTMLElementModel<"body", HTMLContentModel.block>;
    article: HTMLElementModel<"article", HTMLContentModel.block>;
    section: HTMLElementModel<"section", HTMLContentModel.block>;
    nav: HTMLElementModel<"nav", HTMLContentModel.block>;
    aside: HTMLElementModel<"aside", HTMLContentModel.block>;
    h1: HTMLElementModel<"h1", HTMLContentModel.block>;
    h2: HTMLElementModel<"h2", HTMLContentModel.block>;
    h3: HTMLElementModel<"h3", HTMLContentModel.block>;
    h4: HTMLElementModel<"h4", HTMLContentModel.block>;
    h5: HTMLElementModel<"h5", HTMLContentModel.block>;
    h6: HTMLElementModel<"h6", HTMLContentModel.block>;
    hgroup: HTMLElementModel<"hgroup", HTMLContentModel.block>;
    header: HTMLElementModel<"header", HTMLContentModel.block>;
    footer: HTMLElementModel<"footer", HTMLContentModel.block>;
    address: HTMLElementModel<"address", HTMLContentModel.block>;
    p: HTMLElementModel<"p", HTMLContentModel.block>;
    hr: HTMLElementModel<"hr", HTMLContentModel.block>;
    pre: HTMLElementModel<"pre", HTMLContentModel.block>;
    blockquote: HTMLElementModel<"blockquote", HTMLContentModel.block>;
    ol: HTMLElementModel<"ol", HTMLContentModel.block>;
    ul: HTMLElementModel<"ul", HTMLContentModel.block>;
    dir: HTMLElementModel<"dir", HTMLContentModel.block>;
    menu: HTMLElementModel<"menu", HTMLContentModel.block>;
    li: HTMLElementModel<"li", HTMLContentModel.block>;
    dl: HTMLElementModel<"dl", HTMLContentModel.block>;
    dt: HTMLElementModel<"dt", HTMLContentModel.block>;
    dd: HTMLElementModel<"dd", HTMLContentModel.block>;
    figure: HTMLElementModel<"figure", HTMLContentModel.block>;
    figcaption: HTMLElementModel<"figcaption", HTMLContentModel.block>;
    main: HTMLElementModel<"main", HTMLContentModel.block>;
    div: HTMLElementModel<"div", HTMLContentModel.block>;
    xmp: HTMLElementModel<"xmp", HTMLContentModel.block>;
    listing: HTMLElementModel<"listing", HTMLContentModel.block>;
    plaintext: HTMLElementModel<"plaintext", HTMLContentModel.block>;
    table: HTMLElementModel<"table", HTMLContentModel.block>;
    tbody: HTMLElementModel<"tbody", HTMLContentModel.block>;
    thead: HTMLElementModel<"thead", HTMLContentModel.block>;
    tfoot: HTMLElementModel<"tfoot", HTMLContentModel.block>;
    tr: HTMLElementModel<"tr", HTMLContentModel.block>;
    td: HTMLElementModel<"td", HTMLContentModel.block>;
    th: HTMLElementModel<"th", HTMLContentModel.block>;
    object: HTMLElementModel<"object", HTMLContentModel.none>;
    audio: HTMLElementModel<"audio", HTMLContentModel.none>;
    canvas: HTMLElementModel<"canvas", HTMLContentModel.none>;
    embed: HTMLElementModel<"embed", HTMLContentModel.none>;
    iframe: HTMLElementModel<"iframe", HTMLContentModel.none>;
    math: HTMLElementModel<"math", HTMLContentModel.none>;
    svg: HTMLElementModel<"svg", HTMLContentModel.none>;
    video: HTMLElementModel<"video", HTMLContentModel.none>;
    img: HTMLElementModel<"img", HTMLContentModel.block>;
    picture: HTMLElementModel<"picture", HTMLContentModel.block>;
    ins: HTMLElementModel<"ins", HTMLContentModel.mixed>;
    del: HTMLElementModel<"del", HTMLContentModel.mixed>;
    em: HTMLElementModel<"em", HTMLContentModel.textual>;
    strong: HTMLElementModel<"strong", HTMLContentModel.textual>;
    strike: HTMLElementModel<"strike", HTMLContentModel.textual>;
    small: HTMLElementModel<"small", HTMLContentModel.textual>;
    big: HTMLElementModel<"big", HTMLContentModel.textual>;
    s: HTMLElementModel<"s", HTMLContentModel.textual>;
    cite: HTMLElementModel<"cite", HTMLContentModel.textual>;
    q: HTMLElementModel<"q", HTMLContentModel.textual>;
    dfn: HTMLElementModel<"dfn", HTMLContentModel.textual>;
    abbr: HTMLElementModel<"abbr", HTMLContentModel.textual>;
    acronym: HTMLElementModel<"acronym", HTMLContentModel.textual>;
    ruby: HTMLElementModel<"ruby", HTMLContentModel.textual>;
    rt: HTMLElementModel<"rt", HTMLContentModel.textual>;
    rp: HTMLElementModel<"rp", HTMLContentModel.textual>;
    data: HTMLElementModel<"data", HTMLContentModel.textual>;
    time: HTMLElementModel<"time", HTMLContentModel.textual>;
    tt: HTMLElementModel<"tt", HTMLContentModel.textual>;
    code: HTMLElementModel<"code", HTMLContentModel.textual>;
    var: HTMLElementModel<"var", HTMLContentModel.textual>;
    samp: HTMLElementModel<"samp", HTMLContentModel.textual>;
    kbd: HTMLElementModel<"kbd", HTMLContentModel.textual>;
    sup: HTMLElementModel<"sup", HTMLContentModel.textual>;
    sub: HTMLElementModel<"sub", HTMLContentModel.textual>;
    i: HTMLElementModel<"i", HTMLContentModel.textual>;
    b: HTMLElementModel<"b", HTMLContentModel.textual>;
    u: HTMLElementModel<"u", HTMLContentModel.textual>;
    mark: HTMLElementModel<"mark", HTMLContentModel.textual>;
    bdi: HTMLElementModel<"bdi", HTMLContentModel.textual>;
    bdo: HTMLElementModel<"bdo", HTMLContentModel.textual>;
    span: HTMLElementModel<"span", HTMLContentModel.textual>;
    br: HTMLElementModel<"br", HTMLContentModel.textual>;
    wbr: HTMLElementModel<"wbr", HTMLContentModel.textual>;
    a: HTMLElementModel<"a", HTMLContentModel.mixed>;
};
export declare type DefaultHTMLElementModels = typeof defaultHTMLElementModels;
export default defaultHTMLElementModels;
